<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
  <class name="Domain.HostRCU, Domain" table="tb_HostsRCU">
    <id name="ID" column="ID" type="int" unsaved-value="0">
      <generator class="native" />
    </id>
    <property name="HostID" column="HostID" type="int"  />
    <property name="HotelID" column="HotelID" type="int"  />
    <property name="IPType" column="IPType" type="int"  />
    <property name="TypeNumber" column="TypeNumber" type="string"  />
    <property name="LanIP" column="LanIP" type="string"  />
    <property name="ServerIP" column="ServerIP" type="string"  />
    <property name="SubnetMask" column="SubnetMask" type="string"  />
    <property name="Gateway" column="Gateway" type="string"  />
    <property name="LanPort" column="LanPort" type="int"  />
    <property name="DNS" column="DNS" type="string"  />
    <property name="Version" column="Version" type="string"  />
    <property name="RunTime" column="RunTime" type="DateTime"  />
    <property name="LauncherVersion" column="LauncherVersion" type="string"  />
    <property name="MAC" column="MAC" type="string"  />
    <property name="HotelCode" column="HotelCode" type="string"  />
    <property name="RoomTypeID" column="RoomTypeID" type="int"  />
    <property name="ConfigVersion" column="ConfigVersion" type="string" />
    <property name="RoomStatusID" column="RoomStatusID" type="int" />
    <property name="RoomStatus" column="RoomStatus" type="string" />
    <property name="Season" column="Season" type="string" />
    <property name="LockStatus" column="LockStatus" type="int"  />
    <property name="ExpireTime" column="ExpireTime" type="DateTime"  />
    <property name="SetExpireTime" column="SetExpireTime" type="DateTime"  />
    <property name="RoomNumber" column="RoomNumber" type="string" />
    <property name="RoomTypeRemark" column="RoomTypeRemark" type="string" />
    <property name="RoomRemark" column="RoomRemark" type="string" />
    <property name="Core" column="Core" type="string" />
    <property name="Model" column="Model" type="string" />
    <property name="HotelName" column="HotelName" type="string" />
    <property name="RoomType" column="RoomType" type="string" />
    <property name="UpdateTime" column="UpdateTime" type="DateTime"  />
  </class>
</hibernate-mapping>
